# Application AmicalsatCli

AmicalsatCli is a simple command line application to gather from SoundModem input and display Amicalasat telementry data. Data received could be store in binary and textual format.


## Context

Todo


## prerequisite 

On Windows computer, you need to install following software :

 * [Soundmodem](http://uz7.ho.ua/packetradio.htm) 


## SoundModem configuration

After the SoundModem installation, you need to allow connection to TCP KISS modem :

    On Soundmodem software :  
		
		menu:  Setting->devices:  tick the box KISS Server port




## Installation

Retreive jar file from [electrolab Github](https://code.electrolab.fr/xtof/josast/tree/master/AplicationAmicalsatCli/Delivery/0.4) 



## Usage

Before lunching the application, following applications should be setup and running :
* SoundModem


To launch the application 

```java 

java -jar ModuleCubesatSim-0.0.2-SNAPSHOT-jar-with-dependencies.jar

```

To launch the application with option :

```
java -jar ModuleCubesatSim-0.0.2-SNAPSHOT-jar-with-dependencies.jar -h

usage: -h [-h] [-SB <FileNameBin>] [-ST <FileNameTxt>] [-V]
 -h,--help                         display help message
 -SB,--SaveBinarie <FileNameBin>   generate a file with all frame received
                                   in binarie (KISS)
 -ST,--SaveTextual <FileNameTxt>   generate a file with all frame received
                                   in textual format - data intepreated
 -V,--Version                      Return application version

```

### 1st launch 

If you have not set-up the application configuration file, The 1st launch of the application create a configuration file. The default configuration file is created in the config folder. You **can update this file** with correct parameter.

## configuration file 

The configuration file allow to set up following parameters :
    
    configFileDefined=true
    # Soundmodem IP Adress 
    smIPadress=localhost
    # Soundmodem KISS port 
    smPort=8100
    smBinarieOutputFile=null
    generateTextualOutputFile=false
    textualFile=null
    configurationFile=defaultConfigFile.ini
    outputTextualFileRepository=OuputTextual
    smBinarieOutputDirectory=SoundModemOutpt
    smGenerateBinarieFile=false 




## Contributing
Pull requests are welcome. For major changes, please open an issue first to discuss what you would like to change.

Please make sure to update tests as appropriate.

## License
[GNU Lesser General Public License v2.1](http://choosealicense.com/licenses/lgpl-2.1/)
